package com.zd.exam.service;

import com.zd.exam.domain.ElExam;
import com.zd.exam.domain.ElExamQu;

import java.util.List;

/**
 * 考试自选考题Service接口
 *
 * @author liubo
 * @date 2021-12-13
 */
public interface IElExamQuService {
    /**
     * 查询考试自选考题
     *
     * @param id 考试自选考题主键
     * @return 考试自选考题
     */
    public ElExamQu selectElExamQuById(Long id);

    /**
     * 查询考试自选考题列表
     *
     * @param elExamQu 考试自选考题
     * @return 考试自选考题集合
     */
    public List<ElExamQu> selectElExamQuList(ElExamQu elExamQu);

    /**
     * 新增考试自选考题
     *
     * @param elExamQu 考试自选考题
     * @return 结果
     */
    public int insertElExamQu(ElExamQu elExamQu);

    /**
     * 修改考试自选考题
     *
     * @param elExamQu 考试自选考题
     * @return 结果
     */
    public int updateElExamQu(ElExamQu elExamQu);

    /**
     * 批量删除考试自选考题
     *
     * @param ids 需要删除的考试自选考题主键集合
     * @return 结果
     */
    public int deleteElExamQuByIds(Long[] ids);

    /**
     * 删除考试自选考题信息
     *
     * @param id 考试自选考题主键
     * @return 结果
     */
    public int deleteElExamQuById(Long id);

    List<ElExamQu> queryByExamId(Long examId);
}
